VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
CExternalViewBaseImpl Struct Reference
Inheritance diagram for CExternalViewBaseImpl:

## Public Member Functions
| CExternalViewBaseImpl (const ExternalViewPtr &v)
void | updateSize (CViewContainer *parent, CRect localSize, CRect globalSize)
void | attach (CFrame *frame)
void | remove ()
void | scaleFactorChanged (double scaleFactor)
void | takeFocus ()
void | looseFocus ()
void | enableMouse (bool state)
ExternalView::IView * | getView () const

## Constructor & Destructor Documentation

CExternalViewBaseImpl | ( | const ExternalViewPtr & | v | ) |
| inline

## Member Function Documentation

void attach | ( | CFrame * | frame | ) |
| inline

void enableMouse | ( | bool | state | ) |
| inline

ExternalView::IView* getView | ( |  | ) | const
| inline

void looseFocus | ( |  | ) |
| inline

void remove | ( |  | ) |
| inline

void scaleFactorChanged | ( | double | scaleFactor | ) |
| inline

void takeFocus | ( |  | ) |
| inline

void updateSize | ( | CViewContainer * | parent,
|  | CRect | localSize,
|  | CRect | globalSize
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- cexternalview.cpp